import { httpApi } from '../../request/httpApi'
export default {
        //获取周期列表
        async getPage(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/settlementInterval/getList',
                method: 'get',
                params: form,
            }, msg)
        },
        //新增或修改周期
        async addOrUpdate(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/settlementInterval/addOrUpdate',
                method: 'post',
                data: form,
            }, msg)
        },
        //分页查询结算
        async getOutPage(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/clearingAgreementInfo/page',
                method: 'get',
                params: form,
            }, msg)
        },
        //新增或修改结算协议
        async addOrUpdateAgree(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/clearingAgreementInfo/addOrUpdate',
                method: 'get',
                params: form,
            }, msg)
        },
        //删除结算协议
        async remove(form, msg = true) {
            return httpApi({
                url: '/api//blade-land/clearingAgreementInfo/remove',
                method: 'get',
                params: form,
            }, msg)
        },
        //删除周期
        async delete(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/settlementInterval/delete',
                method: 'get',
                params: form,
            }, msg)
        },
        //结算查询补偿协议
        async getAgreementList(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/compensationInfo/getAgreementList',
                method: 'get',
                params: form,
            }, msg)
        },
}
